#{extends 'borderNG.html' /}
<ol class="breadcrumb">
	<li><a href="@{VerifikatorCtr.rekanan()}"> &{'verifikator.daftar_penyedia_barang_jasa'}</a></li>
	<li><a href="@{VerifikatorCtr.view(rekanan.rkn_id)}">&{'verifikator.detail_penyedia'}</a></li>
	<li class="active">&{'verifikator.edit'}</li>
</ol>

<div class="content">
#{alert /}
#{form @VerifikatorCtr.simpanBlacklist(), id:'formBlacklist', method:'POST', enctype:'multipart/form-data'}
    <input type="hidden" name="blacklist.rkn_id" value="${rekanan.rkn_id}" />
    #{if blacklist}
    <input type="hidden" name="blacklist.bll_id" value="${blacklist.bll_id}" />    
    #{/if}
    <div class="form-group row">
		<label class="col-lg-3 col-form-label">Nomor Penyedia</label>
		<div class="col-lg-9">
			<p class="form-control-static">${rekanan.rkn_id}</p>
		</div>
	</div> 
	<div class="form-group row">
		<label class="col-lg-3 col-form-label">Nama User</label>
		<div class="col-lg-9">
			<p class="form-control-static">${rekanan.rkn_namauser}</p>
		</div>
	</div>	
	<div class="form-group row">
		<label class="col-lg-3 col-form-label">Nama Direktur</label>
		<div class="col-lg-9">
			<input type="text" size="50" name="blacklist.nama_direktur" value="${blacklist?.nama_direktur}" class="form-control"/>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-3 col-form-label">KTP Direktur</label>
		<div class="col-lg-9">
			<input type="text" size="50" name="blacklist.ktp_direktur" value="${blacklist?.ktp_direktur}" class="form-control"/>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-3 col-form-label">NPWP Direktur</label>
		<div class="col-lg-9">
			<input type="text" size="50" id="npwp" name="blacklist.npwp_direktur" value="${blacklist?.npwp_direktur}" class="form-control" placeholder="__.___.___._-___.___" />
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-3 col-form-label">Nomor SK Blacklist</label>
		<div class="col-lg-9">
			<input type="text" size="50" name="blacklist.sk_blacklist" value="${blacklist?.sk_blacklist}" class="form-control"/>
		</div>
	</div>
	<div class="form-group row">
	<label class="col-lg-3 col-form-label">Dokumen SK Blacklist <span class="warning">*</span></label>
	<div class="col-lg-9">
		<input type="file" id="attachment" name="attachment" class="form-control #{validate 'blacklist'/}"/>
        <div class="invalid-feedback">#{error 'blacklist' /}</div>
			#{if blacklist?.bll_attachment}
					<br />
                    <a href="${blacklist.blob?.getDownloadUrl(models.handler.BeritaDownloadHandler.class)}">${blacklist.blob.getFileName()}</a>
                    #{/if}
	</div>
 </div> 
 <div class="col-lg-12">
	<div class="form-group row">
		<label class="col-lg-3 col-form-label" >Tanggal Mulai</label>
			 <div class="col-lg-3">
			  <div class="input-group date datepicker">
           		<input name="blacklist.bll_tglawal" type="text" value="${blacklist?.bll_tglawal?.toDatepicker()}" class="form-control datepicker"/>
				<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
              </div>
              </div>
              <label class="col-lg-2 col-form-label">Tanggal Akhir</label>
              <div class="col-lg-3">
				  <div class="input-group date datepicker">
                  	<input name="blacklist.bll_tglakhir" type="text" value="${blacklist?.bll_tglakhir?.toDatepicker()}"  class="form-control datepicker"/>
					<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span>
				 </div>
              </div>			              
		</div>
	</div>
</div>
	#{if blacklist.bll_id != null}
	<div class="form-group row">
		<label class="col-lg-3 col-form-label">Nomor SK Pencabutan Blacklist</label>
		<div class="col-lg-9">
			<input type="text" size="50" name="blacklist.psk_blacklist" value="${blacklist?.psk_blacklist}" class="form-control"/>
		</div>
	</div>
	<div class="form-group row">
	<label class="col-lg-3 col-form-label">Dokumen SK Penc_Blacklist <span class="warning">*</span></label>
	<div class="col-lg-9">
		<input type="file" id="attachment2" name="attachment2" class="form-control #{validate 'blacklist'/}"/>
                    <div class="invalid-feedback">#{error 'blacklist' /}</div>
                    #{if blacklist?.bll_pcattachment}
					<br />
                    <a href="${blacklist.blob.getDownloadUrl(models.handler.BeritaDownloadHandler.class)}">${blacklist.blob.getFileName()}</a>
                    #{/if}
	</div>
 </div> 
 <div class="form-group row">
		<label class="col-lg-3 col-form-label">Tanggal Pencabutan Blacklist</label>
		<div class="col-lg-9">
			<div class="input-group date width-normal">
                  <input name="blacklist.bll_pencabutan" type="text" value="${blacklist?.bll_pencabutan?.toDatepicker()}"  class="form-control"/>
				<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
              </div>
		</div>
	</div>
	#{/if}
<div class="form-group row">
		<label class="col-lg-3 col-form-label">Alasan</label>
		<div class="col-lg-9">
			<textarea id="bll_alasan" name="blacklist.bll_alasan" value="${blacklist?.bll_alasan}" cols="60" rows="8" class="form-control">${blacklist.bll_alasan}</textarea>
		</div>
	</div>
	<div class="form-group row">
    <div class="col-lg-offset-2 col-lg-10">
    #{backButton action:@VerifikatorCtr.view(rekanan.rkn_id) /} &nbsp;
    #{saveButton /}
    </div>
   </div>
 #{/form}
</div>


#{set 'custom_script'}
<script type="text/javascript">  
	jQuery(function($){
    	$("#npwp").mask(), {placeholder:"  "});
    });
</script>
#{/set}
